kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gerard Klijs <gerard.kl...@dizzit.com>
Subject Re: Is Kafka 8 user compatible with kafka 10 broker?
Date Mon, 03 Oct 2016 07:44:02 GMT
I think, but don't know for sure, it doesn't matter for consumers, since
the messages you read are still 'old' images. I would expect errors van you
use an old producer, and/or when consuming the record from the old producer.

On Mon, Oct 3, 2016 at 7:09 AM Nikhil Goyal <nownikhil@gmail.com> wrote:

> Hi guys,
>
> I created a new cluster with kafka 10 broker. I have the following settings
> in server properties file:
>
> inter.broker.protocol.version=0.10.0.0
> message.format.version=0.10.0
> log.message.format.version=0.10.0
>
> When I try to read from old console consumer it still succeeds. Online
> documents say old consumer is not compatible as long as message format
> version is not set to 0.8.0. So I wanted to ask if I made a mistake
> somewhere in the server_properties or if this is the expected behavior?
>
> Thanks
> Nikhil
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message